Subject: GuixSD 1.2.0 installer fails with exception when formatting drive

From: Tim Magee <[email-masked]>
Date: Wed, 25 Nov 2020 17:26:29 +0000 (UTC)

I attempted to intall GNU Guix using the 1.2.0 GuixSD installation image. The install failed with an exception when formatting the hard drive. Here follows the backtrace:

----------------------------------------------------------------------------------------------------------------------------------------

The installer has encountered an unexpected problem. The backtrace is displayed below. Please report it by email to <[email-masked]>.

In ./gnu/installer/parted.scm:
  1258:19 19 (user-partition->file-system _)
In gnu/system/uuid.scm:
    317:2 18 (uuid->string . _)
In ice-9/boot-9.scm:
  1669:16 17 (raise-exception _ #:continuable? _)
  1667:16 16 (raise-exception _ #:continuable? _)
  1667:16 15 (raise-exception _ #:continuable? _)
  1667:16 14 (raise-exception _ #:continuable? _)
  1667:16 13 (raise-exception _ #:continuable? _)
  1667:16 12 (raise-exception _ #:continuable? _)
  1667:16 11 (raise-exception _ #:continuable? _)
  1667:16 10 (raise-exception _ #:continuable? _)
  1667:16  9 (raise-exception _ #:continuable? _)
  1667:16  8 (raise-exception _ #:continuable? _)
  1669:16  7 (raise-exception _ #:continuable? _)
  1764:13  6 (_ #<&compound-exception components: (#<&error> #<&origin: "match"> #<&message message: "no matching pattern"> #<&irritants irritants: (#f ext4)> #<&exception-with-kind-and-arg...>)
In ice-9/eval.scm:
    619:8  5 (_ #(#(#<directory (guile-user) 7f10d0fb6f00> #<<installer> name: newt init: #<procedure init ()> exit: #<procedure exit ()> exit-error: #<procedure exit-error (file key args)> f...>) ...))
    619:8  4 (_ #(#(#(#<directory (guile-user) 7f10d0fb6f00> #<<installer> name: newt init: #<procedure init ()> exit: #<procedure exit ()> exit-error: #<procedure exit-error (file key args)> f...>) ...))
In ice-9/ports.scm:
   463:17  3 (call-with-output-file _ _ #:binary _ #:encoding _)
In ice-9/eval.scm:
    691:9  2 (_ #(#(#<directory (guile-user) 7f10d0fbf00> match-error ("match" "no matching pattern" (#f ext4))) #<output: /tmp/last-installer-error 19>))
    159:9  1 (_ #(#(#<directory (guile-user) 7f10d0fbf00> match-error ("match" "no matching pattern" (#f ext4))) #<output: /tmp/last-installer-error 19>))
In unknown file:
           0 (make-stack #t)
ice-9/eval.scm:159:9: Throw to key `match-error' with args `("match" "no matching pattern" (#f ext4))'.

----------------------------------------------------------------------------------------------------------------------------------------

@nckx on the IRC recommend I include the output of fdisk -l in my bug report. So here goes:

Disk /dev/sda: 931.53GiB, 100020104886016 bytes, 1953525168 sectors
Disk model: WDC WDS100T2B0A-
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: 425B5102-51E0-4994-BC78-FBE09F62D9E3

Device       Start        End    Sectors   Size Type
/dev/sda1     2048    1126399    1124352   549M EFI System
/dev/sda2  1126400    1132543       6144     3M BIOS boot
/dev/sda3  1132544    8943615    7811072   3.7G Linux swap
/dev/sda4  8943616 1953523711 1944580096 927.3G Linux filesystem